--------------------------------------------------------------------
-- UI Changes
--------------------------------------------------------------------


function Glance.Functions.moveUI()
	local x = 0
	if Glance_Options.moveUI then
		-- move player frame down
		-------------------------
		x = PlayerFrame:GetLeft() - UIParent:GetLeft()
		PlayerFrame:ClearAllPoints()
		--PlayerFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", -20, -13)
		PlayerFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", x, 3-Glance_Options.frameHeight)

		-- move target frame down
		-------------------------
		x = TargetFrame:GetLeft() - UIParent:GetLeft()
		TargetFrame:ClearAllPoints();
		--TargetFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", 250, -13)
		TargetFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", x, 3-Glance_Options.frameHeight)

		-- move buffs frame down
		-------------------------
		x = BuffFrame:GetRight() - UIParent:GetRight()
		BuffFrame:ClearAllPoints();
		--BuffFrame:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", -205, -25)
		BuffFrame:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", x, -7-Glance_Options.frameHeight)
		--BuffFrame.SetPoint = function() end

		-- hide the minimap zone
		-------------------------
		x = MinimapCluster:GetRight() - UIParent:GetRight()
		MinimapCluster:ClearAllPoints();
		MinimapCluster:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", x, -7-Glance_Options.frameHeight)

	else
		
		-- reset player frame
		-------------------------
		x = PlayerFrame:GetLeft() - UIParent:GetLeft()
		PlayerFrame:ClearAllPoints()
		--PlayerFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", -20, 0)
		PlayerFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", x, -4)

		-- reset target frame
		-------------------------
		x = TargetFrame:GetLeft() - UIParent:GetLeft()
		TargetFrame:ClearAllPoints();
		--TargetFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", 250, 0)
		TargetFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", x, -4)

		-- reset buffs frame
		-------------------------
		x = BuffFrame:GetRight() - UIParent:GetRight()
		BuffFrame:ClearAllPoints();
		--BuffFrame:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", -205, 0)
		BuffFrame:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", x, -13)
		--BuffFrame.SetPoint = function() end

		-- reset the minimap zone
		-------------------------
		x = MinimapCluster:GetRight() - UIParent:GetRight()
		MinimapCluster:ClearAllPoints();
		MinimapCluster:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", "RIGHT", 0)

	end
end
